// Функция для определения цвета на основе посещаемости
export const getAttendanceColor = (attendance: number, total: number) => {
  const percentage = total > 0 ? (attendance / total) * 100 : 0
  
  if (percentage > 80) return { bg: 'green.100', color: 'green.800', dark: { bg: 'green.800', color: 'green.100' } }
  if (percentage > 60) return { bg: 'teal.100', color: 'teal.800', dark: { bg: 'teal.800', color: 'teal.100' } }
  if (percentage > 40) return { bg: 'yellow.100', color: 'yellow.800', dark: { bg: 'yellow.800', color: 'yellow.100' } }
  if (percentage > 20) return { bg: 'orange.100', color: 'orange.800', dark: { bg: 'orange.800', color: 'orange.100' } }
  return { bg: 'red.100', color: 'red.800', dark: { bg: 'red.800', color: 'red.100' } }
} 